# Script to extract true marker genes from the simulation.

# Get the passed arguments from the command line via Snakemake.
args <- R.utils::commandArgs(trailingOnly = TRUE, asValues = TRUE)

# Debugging.
print(args)

source(here::here("code", "find-marker-genes.R"))

sim <- readRDS(args$sim)
mg_type <- args$mg_type

stopifnot(mg_type %in% c("umg", "sumg"))

if (mg_type == "umg") {
  mgs <- find_unique_marker_genes(sim)
} else {
  mgs <- find_semi_unique_marker_genes(sim)
}

saveRDS(mgs, args$mgs)

