## Methods

This file contains information about the different methods we will benchmark.

### scanpy

By default compares one vs rest

Tests:

* t-test: Default 
* t-test_overestim_var (overestimates variance of each group)
* Logistic regression

Uses p-value correction 

### Seurat

Testing one vs rest 

Uses log fold change threshold

Tests:

* Wilcoxon Rank Sum test (default)
* Likelihood ratio test (McDavid et. al. 2013)
* ROC - Evalulates a classifier built on each gene alone
* t-test
* Negative Binomial GLM (not with shrinkage etc)
* Poisson GLM
* Logistic regression (also prediction)
* MAST
* DESeq2

### scran 

Pairwise testing b/w cluster and all other clusters

Tests

* t-test
* Binomial test
* Wilcox rank sum test 

Implements TREAT

### rankcorr

Multiclass marker selection

Non-parametric ranking transformation 

"one-vs-all" method

### Venice 

Odd algorithm based on the predictive accuravy of genes

One vs rest

In R package Signac

### Semitones

Can be used for other purposes

Uses enrichement scoring

### Other

Elastic net (scikit-learn) benchmarked in rankcorr

Random markers - sanity check on simulations 

SCDE - found to be too slow in rankcorr

scGeneFit - not individual clusters, clustering as a whole

COMET - only select 4 markers - designed for further FACS sorting

scVI - not sure how it is used

Other single-cell DE methods

scTIM - doesn't find per cluster marker genes

singleCellHaystack - find regions where DEGs exists not for existing clusters
