## Simulations

### Method

Currently we are using only {splatter} for the simulations.

Ultimately, it would be great to show that simulation results are robust to the simulation method used, though this may not be feasible.

Other simulations methods we could try are:

* muscat 
* spsimseq

Should we be considering other types of DE?

All simulations should be validated, probably using {countSimQC}

### Datasets 

Currently we are not basing the simulations off of any real data. Clearly this is desirable at least to base the non simulation specific parameters on.

### Details 

### Questions

#### Time

Theoretical:

* Which methods are generally fast, which are generally slow?
* How do the methods scale, if the total number of cells increases, if the number of clusters increases?

Practical:

* If I have this many cells how long will I have to wait?
* Should I be concerned about the number or clusters in my data?

#### Memory

* Which methods are use more memory? which are generally slow?
* How do the methods's memory usage scale when the total number of cells increases?

Practical:

* How much memory will I need?

#### Concordance

Theoretical:

* How well do results of method agree with each other?
* Are there certain methods which agree more?

Practical:

* Will I get similar results with different methods?

#### TPR/FDR

Theoretical:

* On standard data how well do method perform?
* (Broad) How well will methods perform when:
  - The overall number of cells increases (specific vs. non-specific)
  - The proportion of cells in the cluster of interest increases? (specific vs. non-specific)
  - Number of cluster (specific vs. non-specific)
* (Specific) Do methods perform differently depending on the type or marker genes considered?
  
Practical:

* What's the method that has the best performance? What software implements it?
* Should I be concerned about performance if I have small samples/small cluster of interest?
* Do I need to use different methods to find different types of marker genes?

#### Cluster recovery

Theoretical:

* Using only a subset of marker genes, how well can we recover a previous clustering?

Practical: 

* How much 'information' is contained in the selected marker genes?
* How many marker genes contain most of the information?

Simulations: 

1. Standard parameters change total number of cells 1000-100,000 by 10,000

2. Standard parameters increase number of classes 5-50

3. Standard parameters (high total count) increase proportion of cells in cluster of interest 

## Old

### 'Standard' simulations

Uses:

* Compare concordance of methods
* Overall (best guess) FDR/TPR
* Overall time?

Design:

Replicates of a 'best effort' simulation optimized for realism

Concern:

This is what we have now, though it may not be needed when we have the other simulations?

### Null simulations 

Question(s):

* How well do the method control the FDR when there are no marker genes?
* (Practical) if the clusters aren't real will you still see marker genes?

Design:

Could be: 

* No change between groups (one random blob)
  - Pros:
    Simple, easy to interpret
  - Cons: 
    Potentially too pessimistic
* Changes between groups but we remove what we define as marker genes  
  - Pros:
    More realistic idea of FDR of finding marker genes specifically 
  - Cons:
    More difficult to code up, harder to interpret:
    If you remove marker genes do other genes become marker genes? 
    
Consideration: 

Should the groups be defined by the simulation or by an analysis of the data? Groups defined by an analysis are likely to have much higher FDR?

### Time Overall numeber of cells changing

Question(s): 

* How do fast are the method? 
* How well do they scale as the overall dataset increases in size?
* (Practical) If I have this many cells how long will I have to wait?

Design:

Increase overall number of cells 1000-100,000 by 5000, fix all other parameters

### Number of clusters changing

Question(s):

* Do the methods show worse performance for large numbers of clusters?
* (Practical) Should I choose specific methods if I lots of clusters

Design:

Fix number of cells, increase number of clusters 5-50 by 5

#### FDR/TPR as overal number of cells changing 




